Subject: RE: [MMUSIC] How to put multiple ptimes in SDP?

From: "Christer Holmberg \(JO/LMF\)" <[email-masked]>
Date: Thu, 22 Jun 2006 12:09:20 +0200

Hi,

RFC3108 defines a "vsel" attribute defined, which allows you to per
codec (codec name is used instead of PT number, which MAY have some
limitations) to specify Packet Length and Packet Time. It does not allow
specifying max/min/list values, though.

Regards,

Christer

-----Original Message-----
From: Elwell, John [mailto:[email-masked]] 
Sent: 9. toukokuuta 2006 12:20
To: Even, Roni; Magnus Westerlund (KI/EAB); Colin Perkins
Cc: [email-masked]
Subject: RE: [MMUSIC] How to put multiple ptimes in SDP?

Roni,

Yes, you are probably right. The minimum packet time is likely to be
independent of codec type (except that obviously for framed codecs the
minimum packet time cannot be less than one frame). Although perhaps
some implementations could handle a slightly faster packet rate for
G.711, say, than for codecs that require more processing.

John 

> -----Original Message-----
> From: Even, Roni [mailto:[email-masked]]
> Sent: 09 May 2006 09:05
> To: Elwell, John; Magnus Westerlund; Colin Perkins
> Cc: [email-masked]
> Subject: RE: [MMUSIC] How to put multiple ptimes in SDP?
> 
> John,
> I understand this is like minptime, but is this per codec or per 
> media. It looks to me that it is a media parameter.
> Roni
> 
> > -----Original Message-----
> > From: Elwell, John [mailto:[email-masked]]
> > Sent: Tuesday, May 09, 2006 11:01 AM
> > To: Even, Roni; Magnus Westerlund; Colin Perkins
> > Cc: [email-masked]
> > Subject: RE: [MMUSIC] How to put multiple ptimes in SDP?
> > 
> > Roni,
> > 
> > The range is needed in my opinion because of UAs that are unable to 
> > process packets above a certain rate. I recall trying to test our
> UAs with devices
> > that fell over if we sent audio packets every 10ms.
> > 
> > John
> > 
> > > -----Original Message-----
> > > From: Even, Roni [mailto:[email-masked]]
> > > Sent: 09 May 2006 08:40
> > > To: Magnus Westerlund; Colin Perkins
> > > Cc: [email-masked]
> > > Subject: RE: [MMUSIC] How to put multiple ptimes in SDP?
> > >
> > > Hi,
> > > I also see the need for the ptime extension described in
> the draft.
> > >
> > > I prefer to see the extension to SDP for ptime per payload type 
> > > but I am not sure why we need the range. The only requirement I 
> > > saw is due to receiver buffer size, this is not a codec specific 
> > > requirement and there is a maxptime parameter defined for media in

> > > the sdp draft.
> > >
> > > I am not sure about the usage of address per payload type, I 
> > > understand the example given so if media security is also 
> > > addressed I would not object to such an extension.
> > >
> > > Roni Even
> > >
> > > > -----Original Message-----
> > > > From: Magnus Westerlund [mailto:[email-masked]]
> > > > Sent: Thursday, May 04, 2006 3:08 PM
> > > > To: Colin Perkins
> > > > Cc: [email-masked]
> > > > Subject: Re: [MMUSIC] How to put multiple ptimes in SDP?
> > > >
> > > > Hi,
> > > >
> > > > As this discussion pops up again and again I think that is
> > > might be time
> > > > to fix it for people that really want to indicate a
> > > specific amount of
> > > > media for a packet. There is a draft:
> > > >
> > > http://www.ietf.org/internet-drafts/draft-xu-mmusic-sdp-codec-
> > > param-01.txt
> > > >
> > > > That contains a proposal for this together with some
> other things. I
> > > > think the general requirements for the the ptime
> > > replacement is pretty
> > > > good. I personally don't like the solution. I personally
> > > think a single
> > > > attribute for recommended amount of media time in the
> > > payload should be
> > > > defined. example: a=rptime:<pt> <value, values, or range>
> > > >
> > > > I am also quite questioning on the per payload transport
> > > addresses. This
> > > > is in my opinion not in line with the structure of the
> media block
> > > > structure and how it relate to RTP sessions etc.
> > > >
> > > > So I think people should review this draft and provide
> > > feedback on this
> > > > topic to possibly make some progress here.
> > > >
> > > > Cheers
> > > >
> > > > Magnus Westerlund
> > > >
> > > > Multimedia Technologies, Ericsson Research EAB/TVA/A
> > > >
> > > 
> ----------------------------------------------------------------------
> > > > Ericsson AB                | Phone +46 8 4048287
> > > > Torshamsgatan 23           | Fax   +46 8 7575550
> > > > S-164 80 Stockholm, Sweden | mailto: 
> [email-masked]
> > > >
> > > > _______________________________________________
> > > > mmusic mailing list
> > > > [email-masked]
> > > > https://www1.ietf.org/mailman/listinfo/mmusic
> > >
> > > _______________________________________________
> > > mmusic mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/mmusic
> > >
> > 
> > _______________________________________________
> > mmusic mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/mmusic
> 

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic